package com.xm.test.common;

import com.xm.test.entity.ChannelInfo;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 参数配置类
 *
 * @author mengxc
 * @date 2023/12/14 15:44
 */
@ConfigurationProperties(prefix = "xm")
@Component
@Data
public class PropertiesConfig {

    /**
     * SKU MAP集合
     */
    private Map<String, String> skuMap;

    /**
     * 供应商 MAP集合
     */
    private Map<String, ChannelInfo> providerMap;

}
