package com.xm.test.controller;

import com.xm.test.common.PropertiesConfig;
import com.xm.test.common.auth.annotation.PreAuth;
import com.xm.test.entity.ChannelInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 测试控制器
 *
 * @author mengxc
 * @date 2023/12/14 15:36
 */
@Slf4j
@RestController
@RequestMapping("/test")
public class TestController {

    @Autowired
    private PropertiesConfig properties;

    /**
     * 测试
     * <br />
     * 地址: http://192.168.0.200:8080/test/t1?name=zhangsan
     *
     * @param name 名称
     * @return 结果
     */
    @GetMapping("/t1")
    @PreAuth("hasTimeAuth(1,10)")
    public String t1(String name) {
        Map<String, String> skuMap = properties.getSkuMap();
        Map<String, ChannelInfo> providerMap = properties.getProviderMap();
        skuMap.forEach((k, v) -> {
            log.info("=====商品SKU:{},项目编码:{}", k, v);
            ChannelInfo channel = providerMap.get(v);
            log.info("----渠道信息:{}", channel.toString());
        });
        return "ok:共" + skuMap.size() + "个商品SKU";
    }
}
